<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- 
IGAC proyecto SNC
@author 		fredy.wilches
@modifiedBy 	fabio.navarrete, juan.agudelo, javier.aponte, pedro.garcia
@version 		2.0
@description	Pantalla que muestra el formulario para adicionar un nuevo trámite a la solicitud
@cu 			CU-CO-R-01
@param			managedBeanParam: 		Nombre del ManagedBean del que se obtendran los parametros
@param			selectedTramiteParam: 	Objeto de tipo Tramite que almacenará los valores de trámite 
                en el formulario de Solicitud 
@param			prediosTramiteParam:   Lista de Predio que almacenará los valores de los predios 
                asociados a un trámite
@param			banderaEdicionParam: 	Valor booleano de visualización de edición 
@param			selectedDocumentParam:Objeto del tipo tramiteDocumentacion que se adicionara a la 
                lista de documentos adicionales solicitados 
@param			 selectedSolicitudParam: objeto de tipo Solicitud que se está creando o editando

@modified 		pedro.garcia
                - uso de parámetro selectedSolicitudParam para saber si se deben mostrar
                            los botones para cuando es un aviso
                        - uso de setPropertyActionListener en el botón de selección de predios para solucionar el problema de que no
                            funcionaba -como debía ser- poniéndolo en el evento de selección de una fila de la tabla de predios seleccionados

@modified 		rodrigo.hernandez
            - actualización a tabla tblDatosRectificarResumen con adición de funcionalidad para organizar datos
            - actualización a menu tipoTramite con ajuste a update para refrescar tabla de resumen en ventana Seleccion de datos a Rectificar 

@modified               lorena.salamanca
                        - se quita la validacion de Area obligatorio para mutaciones Quinta
                        - se agregan tooltips a las cajas de numero predial 
                        - se agrega validacion de ingresar minimo hasta condicion de propiedad para mutaciones Quinta
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:fn="http://java.sun.com/jsp/jstl/functions"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui" 
        id="nuevoTramiteSolForm">

    <h:inputText id="errortFocus" style="border:0px;height:0;" />

    <p:messages id="msgsTramite" showDetail="false" globalOnly="false" />

    <script type="text/javascript"
            src="#{request.contextPath}/js/jquery.autotab-1.1b.js" />
    <script type="text/javascript">
        $(document)
                .ready(
                        function () {
                            $(
                                    '#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte1,#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte2,#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte3,#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte4,#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte5,#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte6,#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte7,#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte8,#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte9,#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte10,#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte11,#nuevoTramiteSolForm'
                                    + validColonString() + 'numeroPredialParte12')
                                    .autotab_magic().autotab_filter('numeric');
                        });
    </script>

    <script type="text/javascript">
        function funcionCambioDpto() {
            $('#nuevoTramiteSolForm' + validColonString() + 'numeroPredialParte1').val(
                    $('#nuevoTramiteSolForm' + validColonString() + 'departamento').val());
            $('#nuevoTramiteSolForm' + validColonString() + 'numeroPredialParte2').val(
                    $('#nuevoTramiteSolForm' + validColonString() + 'municipioTramite').val().substring(2, 5));
        }
        function setFocus() {
            document.getElementById("focus").focus();
        }
    </script>

    <script type="text/javascript">
        function funcionCambioMunicipio() {
            $('#nuevoTramiteSolForm' + validColonString() + 'numeroPredialParte2').val(
                    ($('#nuevoTramiteSolForm' + validColonString() + 'municipioTramite').val())
                    .substring(2, 5));
        }
        if (document.getElementById('nuevoTramiteSolForm:numeroPredialParte1') != null) {

            document.getElementById('nuevoTramiteSolForm:numeroPredialParte1').readOnly = true;
            document.getElementById('nuevoTramiteSolForm:numeroPredialParte2').readOnly = true;
        }
    </script>

    <p:spacer width="0" height="13" />
    <h:panelGrid id="panelEdicionTramite"
                 rendered="#{!managedBeanParam.banderaTramitePAlmacenado}" width="100%">
        <h:panelGrid columns="6" width="100%">

            <h:panelGrid columns="2"
                         rendered="#{managedBeanParam.banderaTipoSolicitudAvaluo}">
                <h:outputLabel value="Número de radicación: "
                               styleClass="outputLabelStyle"
                               rendered="#{managedBeanParam.banderaTipoSolicitudAvaluo}" />
                <h:outputLabel value="" styleClass="requiredLabelStyle"
                               rendered="#{managedBeanParam.banderaTipoSolicitudAvaluo}" />
            </h:panelGrid>
            <h:panelGrid columns="2"
                         rendered="#{managedBeanParam.banderaTipoSolicitudAvaluo}">
                <h:inputText value="#{selectedTramiteParam.numeroRadicacion}"
                             styleClass="outputTextStyle" id="numeroRadicacion" disabled="true"
                             rendered="#{managedBeanParam.banderaTipoSolicitudAvaluo}" />
                <p:message for="numeroRadicacion" display="icon" />
            </h:panelGrid>

            <h:panelGrid columns="2"
                         rendered="#{managedBeanParam.banderaTipoSolicitudAvaluo}">
                <h:outputLabel value="Fecha de radicación: "
                               styleClass="outputLabelStyle"
                               rendered="#{managedBeanParam.banderaTipoSolicitudAvaluo}" />
                <h:outputLabel value="" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid columns="4"
                         rendered="#{managedBeanParam.banderaTipoSolicitudAvaluo}">
                <p:calendar id="fechaRadicacion" effect="explode"
                            value="#{general.fechaActual}" navigator="true"
                            label="Fecha de radicación"
                            pattern="#{general.formatoFechaComponenteCalendar}" showOn="both"
                            required="true" disabled="true"
                            title="#{general.formatoFechaUsuario}" size="12"
                            rendered="#{managedBeanParam.banderaTipoSolicitudAvaluo}" />
                <p:message for="fechaRadicacion" display="icon" />
            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:outputLabel value="Tipo de trámite: " for="tipoTramite"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid columns="2">
                <h:selectOneMenu id="tipoTramite" 
                                 required="true"
                                 requiredMessage="Debe seleccionar el tipo de trámite"
                                 value="#{selectedTramiteParam.tipoTramite}" label="Tipo de trámite"
                                 disabled="#{!banderaEdicionParam}"
                                 rendered="#{!selectedTramiteParam.tramiteDeAutoavaluo and !selectedTramiteParam.esTramiteDeRevisionDeAvaluo}">
                    <f:selectItem itemLabel="Seleccionar..." />
                    <f:selectItems value="#{managedBeanParam.tiposTramitePorSolicitud}" />
                    <p:ajax immediate="false"
                            update="claseMutacion, subtipo, 
                            tabViewDocumentacion:tblDocumentosRequeridos, msgsTramite, 
                            nuevoTramiteSolForm, :nuevoTramiteSolForm:contenedorPredios, 
                            panelEdicionTramite, :drcForm2:datosRectifComplDT 
                            datosTramiteAutoavaluoEdicionPanelGrid"
                            listener="#{managedBeanParam.cambioTipoTramite}"
                            onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                </h:selectOneMenu>

                <h:outputText value="#{selectedTramiteParam.tipoTramite}"
                              rendered="#{selectedTramiteParam.tramiteDeAutoavaluo or selectedTramiteParam.esTramiteDeRevisionDeAvaluo}"
                              id="TramiteTipoTramiteV-1">
                    <f:converter converterId="converterCB" for="TramiteTipoTramiteV-1" />
                </h:outputText>
                <p:message for="tipoTramite" display="icon" />

            </h:panelGrid>

            <h:panelGrid columns="2">
                <h:outputLabel value="Fuente: " for="fuente"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:selectOneMenu id="fuente" value="#{selectedTramiteParam.fuente}"
                             disabled="#{!banderaEdicionParam or selectedTramiteParam.esTramiteDeRevisionDeAvaluo or selectedTramiteParam.tramiteDeAutoavaluo}"
                             style="position:relative;left:3px;">
                <f:selectItems value="#{general.tramiteFuente}" />
                <p:ajax process="@this" />
            </h:selectOneMenu>

            <h:panelGrid columns="2"
                         rendered="#{managedBeanParam.mostrarFechaRadTesoreria}">
                <h:outputLabel value="Fecha radicación en tesorería: "
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:panelGrid columns="2"
                         rendered="#{managedBeanParam.mostrarFechaRadTesoreria}">
                <p:calendar id="fechaRadicacionTesoreria" effect="explode"
                            value="#{selectedTramiteParam.fechaRadicacionTesoreria}"
                            navigator="true" label="Fecha de radicación en tesorería municipal"
                            maxdate="#{general.fechaActual}"
                            pattern="#{general.formatoFechaComponenteCalendar}" showOn="both"
                            required="true" title="#{general.formatoFechaUsuario}" size="10" />
                <p:message for="fechaRadicacionTesoreria" display="icon"></p:message>
            </h:panelGrid>

            <p:spacer rendered="#{selectedSolicitudParam.solicitudAutoavaluo}" />
            <p:spacer rendered="#{selectedSolicitudParam.solicitudAutoavaluo}" />

            <h:panelGrid columns="2" rendered="#{selectedTramiteParam.quinta}">
                <h:outputLabel value="Departamento:" styleClass="outputLabelStyle"
                               rendered="#{selectedTramiteParam.quinta}" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle"
                               rendered="#{selectedTramiteParam.quinta}" />
            </h:panelGrid>

            <h:panelGrid columns="4" rendered="#{selectedTramiteParam.quinta}">
                <h:selectOneMenu id="departamento" label="Departamento"
                                 rendered="#{selectedTramiteParam.quinta}"
                                 value="#{managedBeanParam.selectedDepartamentoTramite}"
                                 required="true">
                    <f:selectItems value="#{managedBeanParam.departamentosTramite}" />
                    <p:ajax event="change" onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();funcionCambioDpto();"
                            listener="#{managedBeanParam.onChangeDepartamentosTramite}"
                            process="@this, departamento" update="municipioTramite" />
                </h:selectOneMenu>
                <p:commandLink update="btnOrdenDepartamentosTramite, departamento"
                               title="Orden"
                               action="#{managedBeanParam.cambiarOrdenDepartamentosTramite}"
                               id="btnOrdenDepartamentosTramite" ajax="true" immediate="true"
                               rendered="#{selectedTramiteParam.quinta}">
                    <p:graphicImage
                        rendered="#{managedBeanParam.ordenDepartamentosNombreTramite}"
                        value="/images/sortCode.png" />
                    <p:graphicImage
                        rendered="#{managedBeanParam.ordenDepartamentosCodigoTramite}"
                        value="/images/sortText.png" />
                </p:commandLink>
                <p:message for="departamento" display="icon"></p:message>
            </h:panelGrid>


            <h:panelGrid columns="2" rendered="#{selectedTramiteParam.quinta}">
                <h:outputLabel value="Municipio: " styleClass="outputLabelStyle"
                               rendered="#{selectedTramiteParam.quinta}" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle"
                               rendered="#{selectedTramiteParam.quinta}" />
            </h:panelGrid>
            <h:panelGrid rendered="#{selectedTramiteParam.quinta}">
                <h:panelGrid columns="4" width="100%"
                             rendered="#{selectedTramiteParam.quinta}">
                    <h:selectOneMenu id="municipioTramite"
                                     label="Municipio del trámite"
                                     rendered="#{selectedTramiteParam.quinta}"
                                     style="position:relative;left:-4px;"
                                     value="#{managedBeanParam.selectedMunicipioTramite}"
                                     required="true">
                        <f:selectItems value="#{managedBeanParam.municipiosTramite}" />
                        <p:ajax
                            oncomplete="funcionCambioMunicipio();document.getElementById('nuevoTramiteSolForm:numeroPredialParte3').focus()" />
                    </h:selectOneMenu>
                    <p:commandLink update="btnOrdenMunicipiosTramite, municipioTramite"
                                   title="Orden"
                                   action="#{managedBeanParam.cambiarOrdenMunicipiosTramite}"
                                   id="btnOrdenMunicipiosTramite" ajax="true" immediate="true"
                                   rendered="#{selectedTramiteParam.quinta}">
                        <p:graphicImage value="/images/sortCode.png"
                                        rendered="#{selectedTramiteParam.quinta and managedBeanParam.ordenMunicipiosNombreTramite}" />
                        <p:graphicImage value="/images/sortText.png"
                                        rendered="#{selectedTramiteParam.quinta and managedBeanParam.ordenMunicipiosCodigoTramite}" />
                    </p:commandLink>
                    <p:message for="municipioTramite" display="icon"></p:message>
                </h:panelGrid>
            </h:panelGrid>

            <h:panelGrid columns="2" rendered="#{selectedTramiteParam.mutacion}">
                <h:outputLabel value="Clase de mutación: " for="claseMutacion"
                               styleClass="outputLabelStyle" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />
            </h:panelGrid>
            <h:selectOneMenu id="claseMutacion"
                             required="true"
                             requiredMessage="Debe seleccionar la clase de mutaciòn"
                             rendered="#{selectedTramiteParam.mutacion}"
                             value="#{selectedTramiteParam.claseMutacion}"
                             disabled="#{!banderaEdicionParam}"
                             style="position:relative;left:3px;">
                <f:selectItem itemLabel="Seleccionar..." />
                <f:selectItems value="#{general.mutacionClaseRadicacion}" />
                <p:ajax process="@this"
                        update="subtipo, 
                        tabViewDocumentacion:tblDocumentosRequeridos, subtipoTramReqOL, msgsTramite, 
                        nuevoTramiteSolForm,contenedorPredios, panelEdicionTramite"
                        listener="#{managedBeanParam.cambioClaseMutacion}"
                        onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
            </h:selectOneMenu>

            <h:panelGroup
                rendered="#{managedBeanParam.subtipoTramiteEsRequerido}">
                <h:outputLabel value="Subclase: " for="subtipo"
                               styleClass="outputLabelStyle"
                               rendered="#{managedBeanParam.subtipoTramiteEsRequerido}" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle"
                               id="subtipoTramReqOL"
                               rendered="#{managedBeanParam.subtipoTramiteEsRequerido}" />
            </h:panelGroup>

            <h:selectOneMenu id="subtipo" value="#{selectedTramiteParam.subtipo}"
                             disabled="#{!banderaEdicionParam}"
                             rendered="#{managedBeanParam.subtipoTramiteEsRequerido}"
                             required="#{managedBeanParam.subtipoTramiteEsRequerido}"
                             style="position:relative;left:4px;">
                <f:selectItems value="#{managedBeanParam.subtipoClaseMutacionV}" />
                <p:ajax immediate="false" update="contenedorPredios"
                        listener="#{managedBeanParam.actualizarDesdeSubtipo}"
                        onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />
                <p:message for="subtipo" display="icon" id="reqSubtipoTramite" />
            </h:selectOneMenu>

        </h:panelGrid>

        <h:panelGrid columns="5" id="mQuintaL"
                     rendered="#{selectedTramiteParam.quinta}">

            <h:panelGrid columns="16">

                <h:outputLabel value="Número predial: "
                               styleClass="outputLabelStyle" style="position:relative;left:-1px;" />
                <h:outputLabel value="*" styleClass="requiredLabelStyle" />

                <p:spacer width="19" height="0" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte1}" disabled="true"
                             size="1" maxlength="2" id="numeroPredialParte1" title="Departamento" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte2}" disabled="true"
                             size="2" maxlength="3" id="numeroPredialParte2"  title="Municipio" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte3}"
                             size="1" maxlength="2" id="numeroPredialParte3"
                             onblur="complete(this, 2);" onkeyup="saltar(this, 2, 4, 2);" title="Zona" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte4}"
                             size="1" maxlength="2" id="numeroPredialParte4"
                             onblur="complete(this, 2);" onkeyup="saltar(this, 2, 5, 2);" title="Sector" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte5}"
                             size="1" maxlength="2" id="numeroPredialParte5"
                             onblur="complete(this, 2);" onkeyup="saltar(this, 2, 6, 2);" title="Comuna" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte6}"
                             size="2" maxlength="2" id="numeroPredialParte6"
                             onblur="complete(this, 2);" onkeyup="saltar(this, 2, 7, 4);" title="Barrio" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte7}"
                             size="2" maxlength="4" id="numeroPredialParte7"
                             onblur="complete(this, 4);" onkeyup="saltar(this, 4, 8, 4);" title="Manzana/Vereda" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte8}"
                             readonly="#{!selectedTramiteParam.quinta}" id="numeroPredialParte8" size="4" maxlength="4"
                             onblur="complete(this, 4);" onkeyup="saltar(this, 4, 9, 1);" title="Terreno" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte9}"
                             readonly="#{!selectedTramiteParam.quinta}" id="numeroPredialParte9" size="1" maxlength="1"
                             onblur="complete(this, 1);" onkeyup="saltar(this, 1, 10, 2);" title="Condicion Propiedad" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte10}"
                             readonly="#{!selectedTramiteParam.quinta}" id="numeroPredialParte10" size="2" maxlength="2"
                             onblur="complete(this, 2);" onkeyup="saltar(this, 2, 11, 2);" title="No. Edificio" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte11}"
                             readonly="#{!selectedTramiteParam.quinta}" id="numeroPredialParte11" size="2" maxlength="2"
                             onblur="complete(this, 2);" onkeyup="saltar(this, 2, 12, 4);" title="No. Torre" />
                <h:inputText value="#{managedBeanParam.numeroPredialParte12}"
                             readonly="#{!selectedTramiteParam.quinta}" id="numeroPredialParte12" size="4" maxlength="4"
                             onblur="complete(this, 4);" title="No. Unidad en PH/Mejora" />

            </h:panelGrid>

            <p:spacer width="2" height="0" />

            <h:panelGrid columns="2" >
                <h:outputLabel value="Área: " styleClass="outputLabelStyle" />
                <h:inputText value="#{managedBeanParam.areaTerreno}"
                             styleClass="outputTextStyle" id="numeroRadPH" 
                             label="Área de terreno" maxlength="16" style="width:150px" />
                <p:message for="numeroRadPH" display="icon" />
            </h:panelGrid>
        </h:panelGrid>

        <h:panelGrid id="datosTramiteAutoavaluoEdicionPanelGrid"
                     rendered="#{selectedTramiteParam.tramiteDeAutoavaluo}">
            <ui:include src="datosTramiteAutoavaluoEdicion.xhtml">
                <ui:param name="selectedTramiteParam"
                          value="#{selectedTramiteParam}" />
                <ui:param name="managedBeanParam"
                          value="#{managedBeanParam}" />
            </ui:include>
        </h:panelGrid>

        <h:panelGrid
            rendered="#{selectedSolicitudParam.viaGubernativa or selectedSolicitudParam.revocatoriaDirecta}">
            <ui:include src="datosTramitesViaGubernativaEdicion.xhtml">
                <ui:param name="managedBeanParam" value="#{gestionarSolicitudes}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{selectedSolicitudParam}" />
            </ui:include>
        </h:panelGrid>

        <h:panelGrid columns="2" width="100%">
            <h:panelGrid columns="2">
                <h:panelGrid
                    rendered="#{selectedSolicitudParam.revocatoriaDirecta or
                                selectedSolicitudParam.viaGubernativa or
                                selectedSolicitudParam.revisionAvaluo}">
                    <h:panelGrid columns="2">
                        <h:outputLabel value="#{managedBeanParam.fundamentoPeticionText} "
                                       for="fundamentoPeticion" styleClass="outputLabelStyle" />
                        <h:outputLabel value="*" styleClass="requiredLabelStyle" />
                    </h:panelGrid>
                    <h:panelGrid columns="3">
                        <h:inputTextarea id="fundamentoPeticion"
                                         disabled="#{!banderaEdicionParam}"
                                         label="#{managedBeanParam.fundamentoPeticionLabel}"
                                         style="position:relative;left:3px;" required="true"
                                         value="#{selectedTramiteParam.fundamentoPeticion}" cols="100"
                                         rows="2" onkeydown="controlarNroChars(this, 250, true);"
                                         onkeyup="controlarNroChars(this, 250, true);"/>
                        <p:message for="fundamentoPeticion" display="icon" />
                    </h:panelGrid>

                </h:panelGrid>

                <!--D: para rectificación o complementación se pinta un botón para abrir el componente de selección de datos a rectificar o complementar -->
                <h:panelGrid columns="1"
                             rendered="#{selectedTramiteParam.esRectificacion or selectedTramiteParam.esComplementacion}">
                    <p:spacer height="5" width="0"
                              rendered="#{selectedTramiteParam.esRectificacion or selectedTramiteParam.esComplementacion}" />
                    <p:panel style="border:0px;">
                        <h:panelGrid
                            rendered="#{selectedTramiteParam.esRectificacion or selectedTramiteParam.esComplementacion}">
                            <p:commandButton
                                value="#{managedBeanParam.textoBotonRectificacionC}"
                                icon="ui-icon-note"
                                rendered="#{selectedTramiteParam.esRectificacion or selectedTramiteParam.esComplementacion}"
                                immediate="true" ajax="true" onstart="statusDialog2.show();"
                                oncomplete="seleccionDatosRectificarWV.show(); statusDialog2.hide();"
                                update=":drcForm1"
                                action="#{managedBeanParam.cleanRectificacionVariables}" />
                            <p:spacer height="10" width="0"
                                      rendered="#{selectedTramiteParam.esRectificacion or selectedTramiteParam.esComplementacion}" />
                        </h:panelGrid>
                    </p:panel>
                </h:panelGrid>
            </h:panelGrid>

        </h:panelGrid>

    </h:panelGrid>

    <h:panelGrid id="panelLecturaTramite"
                 rendered="#{managedBeanParam.banderaTramitePAlmacenado}" width="100%">
        <h:panelGrid columns="8" width="100%" cellspacing="7">

            <h:outputLabel value="Número de radicación: "
                           styleClass="outputLabelStyle" />
            <h:outputText value="#{selectedTramiteParam.numeroRadicacion}"
                          styleClass="outputTextStyle" id="numeroRadicacionL" />

            <p:spacer width="7" height="0" />
            <h:outputLabel value="Fecha de radicación: "
                           styleClass="outputLabelStyle" />
            <h:outputText value="#{selectedTramiteParam.fechaRadicacion}"
                          styleClass="outputTextStyle" id="fechaRadicacionL">
                <f:convertDateTime pattern="dd/MM/yyyy" locale="es" />
            </h:outputText>

            <p:spacer width="7" height="0" />
            <h:outputLabel value="Tipo de trámite: " for="tipoTramite"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{selectedTramiteParam.tipoTramiteCadenaCompleto}"
                id="TramiteTipoTramiteV" styleClass="outputTextStyle" />

            <h:outputLabel value="Fuente: " for="fuente"
                           styleClass="outputLabelStyle" rendered="true" />
            <h:outputText value="#{selectedTramiteParam.fuente}"
                          id="TramiteFuente" styleClass="outputTextStyle" rendered="true">
                <f:converter converterId="converterCB" for="TramiteFuente" />
            </h:outputText>

            <p:spacer width="7" height="0" />
            <h:outputLabel value="Departamento:" styleClass="outputLabelStyle"
                           rendered="true" />
            <h:outputText value="#{selectedTramiteParam.departamento.nombre}"
                          styleClass="outputTextStyle" id="departamentoL" rendered="true" />

            <p:spacer width="7" height="0" />
            <h:outputLabel value="Municipio: " for="municipioL"
                           styleClass="outputLabelStyle" rendered="true" />
            <h:outputText value="#{selectedTramiteParam.municipio.nombre}"
                          styleClass="outputTextStyle" id="municipioL" rendered="true" />

            <h:outputLabel value="Número predial: " styleClass="outputLabelStyle"
                           style="position:relative;left:-1px;"
                           rendered="#{selectedTramiteParam.quinta}" />
            <h:outputText value="-" styleClass="outputTextStyle" id="nPredialNE"
                          rendered="#{selectedTramiteParam.quinta and empty selectedTramiteParam.numeroPredial}" />
            <h:outputText
                value="#{selectedTramiteParam.formattedNumeroPredialCompleto}"
                styleClass="outputTextStyle" id="nPredialL"
                rendered="#{selectedTramiteParam.quinta and not empty selectedTramiteParam.numeroPredial}" />

            <p:spacer width="7" height="0" />
            <h:outputLabel value="Área: " styleClass="outputLabelStyle"
                           rendered="#{selectedTramiteParam.quinta}" />
            <h:outputText value="#{selectedTramiteParam.areaTerreno}"
                          styleClass="outputTextStyle" id="numeroRadL" style="width:150px"
                          rendered="#{selectedTramiteParam.quinta }">
                <f:convertNumber type="number" />
            </h:outputText>

            <p:spacer height="10" />
        </h:panelGrid>

        <h:panelGrid id="datosTramiteAutoavaluoMuestraPanelGrid"
                     rendered="#{selectedTramiteParam.tramiteDeAutoavaluo}">
            <ui:include src="datosTramiteAutoavaluoMuestra.xhtml">
                <ui:param name="selectedTramiteParam"
                          value="#{selectedTramiteParam}" />
            </ui:include>
        </h:panelGrid>

        <h:panelGrid
            rendered="#{selectedSolicitudParam.viaGubernativa or selectedSolicitudParam.revocatoriaDirecta}">
            <ui:include src="datosTramitesViaGubernativaMuestra.xhtml">
                <ui:param name="managedBeanParam" value="#{gestionarSolicitudes}" />
                <ui:param name="selectedSolicitudParam"
                          value="#{selectedSolicitudParam}" />
            </ui:include>
        </h:panelGrid>

        <h:panelGrid columns="1"
                     rendered="#{selectedSolicitudParam.revocatoriaDirecta or
                                 selectedSolicitudParam.viaGubernativa or
                                 selectedSolicitudParam.revisionAvaluo}">

            <h:outputLabel value="#{managedBeanParam.fundamentoPeticionText}"
                           for="fundamentoPeticion" styleClass="outputLabelStyle" />
            <h:inputTextarea id="fundamentoPeticionL"
                             disabled="true"  cols="100" rows="2"
                             style="position:relative;left:3px;"
                             value="#{selectedTramiteParam.fundamentoPeticion}"/>
        </h:panelGrid>
    </h:panelGrid>

    <ui:remove>
        Tabla con los datos a rectificar que se hayan seleccionado
    </ui:remove>
    <h:panelGrid columns="1" id="contenedorDatosRectificarResumen"
                 width="60%"
                 rendered="#{selectedTramiteParam.esRectificacion or selectedTramiteParam.esComplementacion}">
        <p:dataTable id="tblDatosRectificarResumen" var="datoRectifComplTabla"
                     rowKey="#{datoRectifComplTabla.id}"
                     emptyMessage="No se han adicionado datos para rectificar o complementar"
                     value="#{gestionarSolicitudes.selectedDatosRectifComplDataTable}">

            <f:facet name="header">
                Datos por rectificar o complementar
            </f:facet>

            <p:column headerText="Tipo de rectificación" sortBy="#{datoRectifComplTabla.tipo}">
                <h:outputText value="#{datoRectifComplTabla.tipo}" />
            </p:column>

            <p:column headerText="Dato" sortBy="#{datoRectifComplTabla.nombre}">
                <h:outputText value="#{datoRectifComplTabla.nombre}" />
            </p:column>

        </p:dataTable>
        <p:spacer height="10" width="0" />
    </h:panelGrid>

    <h:panelGrid cellspacing="3" columns="3" id="btnsPredios"
                 rendered="#{!selectedTramiteParam.quinta and !selectedSolicitudParam.viaGubernativa 
                             and !managedBeanParam.banderaTramitePAlmacenado and !selectedSolicitudParam.revocatoriaDirecta}">

        <p:commandButton value="Seleccionar predios" icon="ui-icon-home"
                         id="Cons" ajax="true" immediate="true"
                         action="#{consultaPredio.limpiarBusquedasPrevias}"
                         onstart="statusDialog2.show();" 
                         update=":cpCC:consultaPredioForm"
                         oncomplete="statusDialog2.hide(); consultaPrediosDlgWV.show(); inicializarAutotab(); "
                         rendered="#{!managedBeanParam.banderaTramitePAlmacenado}">

            <f:setPropertyActionListener value="2"
                                         target="#{consultaPredio.listenerMethodIdentifier}" />
        </p:commandButton>

        <p:commandButton value="Predios seleccionados" icon="ui-icon-cart"
                         immediate="true" update=":psCC:formPS"
                         onclick="prediosSeleccionadosDlgWV.hide();prediosSeleccionadosDlgWV.show();"
                         onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                         rendered="#{!managedBeanParam.banderaTramitePAlmacenado}">
        </p:commandButton>

        <p:commandButton value="Asignar predios al trámite"
                         action="#{managedBeanParam.adicionarPrediosAlTramite}" ajax="true"
                         icon="ui-icon-circle-arrow-s" immediate="true"
                         onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();"
                         update=":nuevoTramiteSolForm:contenedorPredios, 
                         datosTramiteAutoavaluoEdicionPanelGrid, departamento, 
                         municipioTramite, :nuevoTramiteSolForm:msgsTramite, :nuevoTramiteSolForm:datosTramiteAutoavaluoEdicionPanelGrid,
                         :nuevoTramiteSolForm:btnsFooterPanelDatosDelTramite"
                         rendered="#{!managedBeanParam.banderaTramitePAlmacenado}">
        </p:commandButton>
    </h:panelGrid>

    <h:panelGrid columns="1" id="contenedorPredios" width="100%"
                 rendered="#{!selectedTramiteParam.quinta and !(selectedSolicitudParam.viaGubernativa or selectedSolicitudParam.revocatoriaDirecta)}">

        <p:dataTable var="predioTramite" id="tblPredios"
                     widgetVar="prediosTramite" paginatorPosition="bottom"
                     paginator="true" rows="10"
                     rowKey="#{predioTramite.predio.numeroPredial}"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="5,10,15" value="#{prediosTramiteParam}"
                     emptyMessage="No hay resultados para esta búsqueda"
                     selection="#{managedBeanParam.selectedPredioTramite }"
                     rendered="#{!selectedTramiteParam.segundaEnglobe or managedBeanParam.banderaTramitePAlmacenado or consultaPredio.predioFiscal}">
            <f:facet name="header">
                Predios del trámite
            </f:facet>
            <p:column rendered="#{!managedBeanParam.banderaTramitePAlmacenado}">
                <f:facet name="header">
                    <h:outputText value="Opciones" />
                </f:facet>
                <p:commandButton title="Quitar de la lista" icon="ui-icon-trash"
                                 action="#{managedBeanParam.removePredioFromListaPrediosTramite}"
                                 update=":nuevoTramiteSolForm:contenedorPredios, :nuevoTramiteSolForm:msgsTramite, :nuevoTramiteSolForm:btnsFooterPanelDatosDelTramite" process="@this"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();">
                    <f:setPropertyActionListener value="#{predioTramite}"
                                                 target="#{managedBeanParam.selectedPredioTramite}" />
                </p:commandButton>

                <p:commandButton title="Marcar como principal" icon="ui-icon-star"
                                 action="#{managedBeanParam.markTramiteAsPrincipal}"
                                 update=":nuevoTramiteSolForm:contenedorPredios" immediate="true"
                                 id="eliminarPredioBtn"
                                 rendered="#{managedBeanParam.banderaSubtipoEnglobe}"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();">
                    <f:setPropertyActionListener value="#{predioTramite}"
                                                 target="#{managedBeanParam.selectedPredioTramite}" />
                </p:commandButton>
            </p:column>
            <p:column rendered="#{managedBeanParam.banderaSubtipoEnglobe}">
                <f:facet name="header">
                    Principal
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              value="#{predioTramite.englobePrincipal}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Departamento
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              value="#{predioTramite.predio.departamento.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Municipio
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              value="#{predioTramite.predio.municipio.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Número predial
                </f:facet>

                <p:commandLink value="#{predioTramite.predio.formatedNumeroPredial}"
                               process="@this" update=":dpCC:detallesPredioTV"
                               styleClass="commandLinkStyle"
                               oncomplete="detallesPredioWV.show();statusDialog2.hide()"
                               onstart="statusDialog2.show()"
                               action="#{consultaPredio.cleanAllMB}">
                    <f:setPropertyActionListener
                        target="#{consultaPredio.selectedPredioId}"
                        value="#{predioTramite.predio.id}" />
                </p:commandLink>

            </p:column>

            <p:column>
                <f:facet name="header">
                    Número predial <br />anterior	
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              value="#{predioTramite.predio.numeroPredialAnterior}" />
            </p:column>

        </p:dataTable>

        <h:panelGrid columns="2"
                     rendered="#{not empty prediosTramiteParam and !managedBeanParam.banderaTramitePAlmacenado and selectedTramiteParam.segundaEnglobe and !consultaPredio.predioFiscal}">
            <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
            <h:outputText
                value="Seleccione un predio para ver la lista de predios colindantes del mismo."
                styleClass="noteTextStyle" />
        </h:panelGrid>

        <p:dataTable var="predioTramite" id="tblPrediosEnglobe"
                     widgetVar="prediosTramite" paginatorPosition="bottom"
                     paginator="true" rows="10"
                     rowKey="#{predioTramite.predio.numeroPredial}"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="5,10,15" value="#{prediosTramiteParam}"
                     emptyMessage="No hay resultados para esta búsqueda"
                     selection="#{managedBeanParam.selectedPredioTramite }"
                     selectionMode="single"
                     rendered="#{selectedTramiteParam.segundaEnglobe and !managedBeanParam.banderaTramitePAlmacenado and !consultaPredio.predioFiscal}">

            <p:ajax event="rowSelect" id="rowSelectAjax"
                    listener="#{managedBeanParam.buscarPrediosColindantes}"
                    update=":nuevoTramiteSolForm:contenedorPredios, :nuevoTramiteSolForm:msgsTramite"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />

            <p:ajax event="rowUnselect"
                    listener="#{managedBeanParam.reiniciarPrediosColindantes}"
                    update=":nuevoTramiteSolForm:contenedorPredios"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />

            <f:facet name="header">
                Predios del trámite
            </f:facet>

            <p:column rendered="#{!managedBeanParam.banderaTramitePAlmacenado}">
                <f:facet name="header">
                    <h:outputText value="Opciones" />
                </f:facet>
                <p:commandButton title="Quitar de la lista" icon="ui-icon-trash"
                                 action="#{managedBeanParam.removePredioFromListaPrediosTramite}"
                                 update=":nuevoTramiteSolForm:contenedorPredios" process="@this"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();">
                    <f:setPropertyActionListener value="#{predioTramite}"
                                                 target="#{managedBeanParam.selectedPredioTramite}" />
                </p:commandButton>

                <p:commandButton title="Marcar como principal" icon="ui-icon-star"
                                 action="#{managedBeanParam.markTramiteAsPrincipal}"
                                 update=":nuevoTramiteSolForm:contenedorPredios" immediate="true"
                                 id="eliminarPredioBtn"
                                 rendered="#{managedBeanParam.banderaSubtipoEnglobe}"
                                 onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();">
                    <f:setPropertyActionListener value="#{predioTramite}"
                                                 target="#{managedBeanParam.selectedPredioTramite}" />
                </p:commandButton>
            </p:column>
            <p:column rendered="#{managedBeanParam.banderaSubtipoEnglobe}">
                <f:facet name="header">
                    Principal
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              value="#{predioTramite.englobePrincipal}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Departamento
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              value="#{predioTramite.predio.departamento.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Municipio
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              value="#{predioTramite.predio.municipio.nombre}" />
            </p:column>

            <p:column>
                <f:facet name="header">
                    Número predial
                </f:facet>

                <p:commandLink value="#{predioTramite.predio.formatedNumeroPredial}"
                               process="@this" update=":dpCC:detallesPredioTV"
                               styleClass="commandLinkStyle"
                               oncomplete="detallesPredioWV.show();statusDialog2.hide()"
                               onstart="statusDialog2.show()"
                               action="#{consultaPredio.cleanAllMB}">
                    <f:setPropertyActionListener
                        target="#{consultaPredio.selectedPredioId}"
                        value="#{predioTramite.predio.id}" />
                </p:commandLink>

            </p:column>

            <p:column>
                <f:facet name="header">
                    Número predial <br />anterior	
                </f:facet>
                <h:outputText styleClass="outputTextStyle"
                              value="#{predioTramite.predio.numeroPredialAnterior}" />
            </p:column>

        </p:dataTable>

        <!--N: no se usa aquí porque el statusDialog2 se muestra y no deja que este componente reciba la señal de finalización de ajax, por lo que la forma queda bloqueada -->
        <!-- p:blockUI block=":nuevoTramiteSolForm" trigger="tblPrediosEnglobe" >
            Buscando los predios colindantes al predio seleccionado ...
            <p:graphicImage value="/images/loading.gif"/>
        </p:blockUI -->



        <h:panelGrid columns="2"
                     rendered="#{not empty managedBeanParam.selectedPredioTramite and !managedBeanParam.banderaTramitePAlmacenado 
                                 and !managedBeanParam.banderaNoGeograficoEnglobe}">
            <h:outputLabel value="Nota:" styleClass="noteLabelStyle" />
            <h:outputText
                value="Seleccione un predio colindante para añadirlo a la lista de predios del trámite."
                styleClass="noteTextStyle" />
        </h:panelGrid>

        <h:panelGrid rendered="#{managedBeanParam.banderaNoGeograficoEnglobe}" >
            <h:outputText
                value="No existe información espacial para este predio en la base de datos."
                styleClass="noteTextStyle" />
        </h:panelGrid>

        <p:dataTable var="pc" id="tblPCs" paginatorPosition="bottom"
                     paginator="true" rows="10"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="5,10,15"
                     value="#{managedBeanParam.listaPrediosColindantes}"
                     emptyMessage="No existen predios colindantes asociados al predio seleccionado."
                     rowKey="#{pc.id}" selectionMode="single"
                     selection="#{managedBeanParam.selectedPredioColindante}"
                     rendered="#{not empty managedBeanParam.selectedPredioTramite and !managedBeanParam.banderaTramitePAlmacenado
                                 and !managedBeanParam.banderaNoGeograficoEnglobe}">

            <p:ajax event="rowSelect"
                    listener="#{managedBeanParam.adicionarPrediosColindantes}"
                    update=":nuevoTramiteSolForm:contenedorPredios, :nuevoTramiteSolForm:msgsTramite"
                    onstart="statusDialog2.show();" oncomplete="statusDialog2.hide();" />

            <f:facet name="header">
                Predios colindantes del predio con número predial 
                <h:outputText
                    value="#{managedBeanParam.selectedPredioTramite.predio.formatedNumeroPredial}" />
            </f:facet>


            <p:column>
                <f:facet name="header">
                    Número predial
                </f:facet>

                <p:commandLink value="#{pc.formatedNumeroPredial}" process="@this"
                               update=":dpCC:detallesPredioTV" styleClass="commandLinkStyle"
                               oncomplete="detallesPredioWV.show();statusDialog2.hide()"
                               onstart="statusDialog2.show()"
                               action="#{consultaPredio.cleanAllMB}">
                    <f:setPropertyActionListener
                        target="#{consultaPredio.selectedPredioId}" value="#{pc.id}" />
                </p:commandLink>

            </p:column>

        </p:dataTable>
    </h:panelGrid>

    <h:panelGrid id="resumenSolicitantesTramiteInclude" width="100%"
                 rendered="#{selectedSolicitudParam.solicitudConIntermediario or selectedSolicitudParam.solicitudConTesoreria}">
        <ui:include src="resumenSolicitantesTramite.xhtml">
            <ui:param name="managedBeanParam" value="#{gestionarSolicitudes}" />
            <ui:param name="selectedTramiteParam" value="#{selectedTramiteParam}" />
            <ui:param name="tableHeaderParam" value="Solicitantes del trámite" />
            <ui:param name="solicitanteTramiteParam" value="true" />
        </ui:include>
    </h:panelGrid>

    <p:spacer height="10"
              rendered="#{!selectedSolicitudParam.solicitudAvisos and !managedBeanParam.banderaTramitePAlmacenado}" />
    <p:panel style="border:0px;"
             rendered="#{!selectedSolicitudParam.solicitudAvisos and !managedBeanParam.banderaTramitePAlmacenado}">
        <p:spacer width="13" height="0" />
        <p:commandButton value="Aceptar" icon="ui-icon-disk"
                         action="#{managedBeanParam.guardarTramiteSolicitud}" ajax="true"
                         process="@form"
                         widgetVar="aceptarButton"
                         onclick="aceptarButton.disable()"
                         update="nuevoTramiteSolForm, msgsTramite,
                         tabViewDocumentacion:tblDocumentacionTramite
                         tabViewDocumentacion:tblDocumentosRequeridos, mQuintaL"
                         onstart="statusDialog2.show();"
                         oncomplete="aceptarButton.enable();statusDialog2.hide();document.getElementById('nuevoTramiteSolForm:errortFocus').focus()"
                         rendered="#{!selectedSolicitudParam.solicitudAvisos and !managedBeanParam.banderaTramitePAlmacenado}" />
    </p:panel>

    <p:spacer width="0" height="13"
              rendered="#{selectedSolicitudParam.solicitudAvisos or !managedBeanParam.banderaTramitePAlmacenado}" />
    <p:outputPanel layout="block" style="text-align: left" id="btnsFooterPanelDatosDelTramite"
                   rendered="#{selectedSolicitudParam.solicitudAvisos or !managedBeanParam.banderaTramitePAlmacenado}">

        <p:spacer width="13" height="0" />
        <p:commandButton value="Aceptar trámite" icon="ui-icon-disk"
                         action="#{managedBeanParam.guardarTramiteSolicitud}" ajax="true"
                         update="nuevoTramiteSolForm, msgsTramite,
                         tabViewDocumentacion:tblDocumentacionTramite
                         tabViewDocumentacion:tblDocumentosRequeridos"
                         rendered="#{selectedSolicitudParam.solicitudAvisos and !managedBeanParam.banderaTramitePAlmacenado}" />

        <p:spacer width="7" height="0" />
        <p:commandButton value="Descartar aviso" icon="ui-icon-trash"
                         action="#{managedBeanParam.setupDescartarAviso}" process="@this"
                         oncomplete="handleCompleteSIC(xhr, status, args, descartarAvisoDialogWV, true)"
                         update=":descartarAvisoForm"
                         id="descartarAvisoBtn"
                         rendered="#{not empty selectedTramiteParam.solicitanteTramites and not empty prediosTramiteParam and selectedSolicitudParam.solicitudAvisos and !managedBeanParam.banderaTramitePAlmacenado}" />

    </p:outputPanel>
    <p:spacer height="10" />

    <p:tabView dynamic="true" cache="true" id="tabViewDocumentacion"
               rendered="#{managedBeanParam.banderaTramitePAlmacenado}">

        <p:tab title="Resumen de documentación">

            <p:dataTable var="documentacionTramite" id="tblDocumentacionTramite"
                         paginatorPosition="bottom" paginator="true" rows="10"
                         value="#{managedBeanParam.documentacionTramite}"
                         rowKey="#{documentacionTramite.id}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15"
                         emptyMessage="No hay resultados para esta búsqueda">

                <p:column>
                    <f:facet name="header">
                        Aportado
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.aporta ? 'Si' : 'No'}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Radicado en  <br /> correspondencia
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.documentoSoporte.fechaRadicacion}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Fecha de  <br /> correspondencia
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.documentoSoporte.fechaDocumento}">
                        <f:convertDateTime pattern="#{general.formatoFecha}" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Tipo documento
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle" id="TipoDocumentoV-3"
                                  value="#{documentacionTramite.tipoDocumento.id}">
                        <f:converter converterId="converterCB" for="TipoDocumentoV-3" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Detalle
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.detalle}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Folios
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.cantidadFolios}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Documento soporte
                    </f:facet>

                    <p:commandLink id="downloadLink" styleClass="commandLinkStyle"
                                   value="#{documentacionTramite.documentoSoporte.archivo}"
                                   ajax="false" process="@this"
                                   rendered="#{documentacionTramite.documentoSoporte.archivoADescargar}">

                        <f:setPropertyActionListener value="#{documentacionTramite}"
                                                     target="#{managedBeanParam.documentoSeleccionado}" />
                        <p:fileDownload value="#{managedBeanParam.fileTempDownload}" />
                    </p:commandLink>

                    <p:commandLink
                        value="#{documentacionTramite.documentoSoporte.archivo}"
                        update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                        oncomplete="docViewerWV.show();statusDialog2.hide()"
                        onstart="statusDialog2.show()"
                        action="#{gestionarSolicitudes.cargarDocumentoTemporalPrev}"
                        rendered="#{!documentacionTramite.documentoSoporte.archivoADescargar}">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoTemporal}"
                            value="#{documentacionTramite.documentoSoporte}" />
                        <f:setPropertyActionListener
                            target="#{gestionarSolicitudes.documentoSeleccionado}"
                            value="#{documentacionTramite}" />
                    </p:commandLink>
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Digitalizable
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentacionTramite.digital}" />
                </p:column>

            </p:dataTable>

        </p:tab>

        <p:tab title="Documentación requerida">

            <p:dataTable var="documentoRequerido" id="tblDocumentosRequeridos"
                         paginatorPosition="bottom" paginator="true" rows="10"
                         value="#{managedBeanParam.documentacionRequerida}"
                         rowKey="#{documentoRequerido.id}"
                         paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                         rowsPerPageTemplate="5,10,15"
                         emptyMessage="No hay resultados para esta búsqueda">
                <p:column rendered="#{banderaEdicionParam}">
                    <f:facet name="header">
                        Opciones
                    </f:facet>
                    <p:commandButton disabled="#{!banderaEdicionParam}"
                                     onstart="statusDialog2.show();"
                                     oncomplete="documentacionWV.show(); statusDialog2.hide();"
                                     immediate="true" id="editarDocumentacion"
                                     icon="ui-icon ui-icon-pencil" title="Editar"
                                     update=":documentacionForm,:msgsDoc,:documentacionForm2"
                                     action="#{managedBeanParam.setupDocumentoRequeridoEdicion}">
                        <f:setPropertyActionListener value="#{documentoRequerido}"
                                                     target="#{managedBeanParam.documentoSeleccionado}" />
                        <f:setPropertyActionListener
                            target="#{managedBeanParam.editandoDocumentacion}" value="true" />
                    </p:commandButton>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Aportado
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoRequerido.aporta ? 'Si' : 'No'}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Tipo documento
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle" id="TipoDocumentoV-2"
                                  value="#{documentoRequerido.tipoDocumento.id}">
                        <f:converter converterId="converterCB" for="TipoDocumentoV-2" />
                    </h:outputText>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Detalle
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoRequerido.detalle}" />
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Folios
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoRequerido.cantidadFolios}" />
                </p:column>
                <p:column>
                    <f:facet name="header">
                        Documento soporte
                    </f:facet>

                    <p:commandLink id="downloadLink" styleClass="commandLinkStyle"
                                   value="#{documentoRequerido.documentoSoporte.archivo}"
                                   ajax="false" process="@this"
                                   rendered="#{documentoRequerido.documentoSoporte.archivoADescargar}">

                        <f:setPropertyActionListener value="#{documentoRequerido}"
                                                     target="#{managedBeanParam.documentoSeleccionado}" />
                        <p:fileDownload value="#{managedBeanParam.fileTempDownload}" />
                    </p:commandLink>

                    <p:commandLink
                        value="#{documentoRequerido.documentoSoporte.archivo}"
                        update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                        oncomplete="docViewerWV.show();statusDialog2.hide()"
                        onstart="statusDialog2.show()"
                        action="#{gestionarSolicitudes.cargarDocumentoTemporalPrev}"
                        rendered="#{!documentoRequerido.documentoSoporte.archivoADescargar}">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoTemporal}"
                            value="#{documentoRequerido.documentoSoporte}" />
                        <f:setPropertyActionListener
                            target="#{gestionarSolicitudes.documentoSeleccionado}"
                            value="#{documentoRequerido}" />
                    </p:commandLink>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        Digitalizable
                    </f:facet>
                    <h:outputText styleClass="outputTextStyle"
                                  value="#{documentoRequerido.digital}" />
                </p:column>

            </p:dataTable>
        </p:tab>

        <p:tab title="Documentación adicional">

            <h:panelGrid columns="1" width="100%">

                <p:outputPanel style="text-align:right">
                    <p:commandButton
                        action="#{managedBeanParam.adicionarDocumentoAdicional}"
                        id="nuevoDocumentoAdicional" widgetVar="documentosAdicionalesWV"
                        update="tblDocumentosAdicionales,:documentacionForm,:msgsDoc,:documentacionForm2"
                        value="Nuevo" disabled="#{!banderaEdicionParam}"
                        onstart="statusDialog2.show();"
                        oncomplete="statusDialog2.hide();documentacionWV.show()"
                        icon="ui-icon-document" immediate="true">
                        <f:setPropertyActionListener value="true"
                                                     target="#{managedBeanParam.banderaDocumentoAdicional}" />
                    </p:commandButton>
                    <p:spacer height="5" />
                </p:outputPanel>

                <p:dataTable var="documentoAdicional" id="tblDocumentosAdicionales"
                             paginatorPosition="bottom" paginator="true" rows="10"
                             value="#{managedBeanParam.documentacionAdicional}"
                             rowKey="#{documentoAdicional.idTemporal}"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="5,10,15"
                             emptyMessage="No hay resultados para esta búsqueda">

                    <p:column rendered="#{banderaEdicionParam}">
                        <f:facet name="header">
                            Opciones
                        </f:facet>
                        <p:commandButton disabled="#{!banderaEdicionParam}"
                                         onstart="statusDialog2.show();"
                                         oncomplete="statusDialog2.hide();documentacionWV.show()"
                                         id="editarDocumentacionAdicional" icon="ui-icon ui-icon-pencil"
                                         update=":documentacionForm,:msgsDoc,:documentacionForm2"
                                         title="Editar">
                            <f:setPropertyActionListener value="#{documentoAdicional}"
                                                         target="#{managedBeanParam.documentoSeleccionado}" />
                            <f:setPropertyActionListener value="true"
                                                         target="#{managedBeanParam.editandoDocumentacion}" />
                            <f:setPropertyActionListener value=""
                                                         target="#{managedBeanParam.rutaMostrar}" />
                        </p:commandButton>
                        <p:commandButton
                            action="#{managedBeanParam.eliminarDocumentacionAdicional}"
                            disabled="#{!banderaEdicionParam}" icon="ui-icon ui-icon-trash"
                            title="Eliminar" id="eliminarDocumentacionAdicional"
                            onstart="statusDialog2.show();"
                            oncomplete="statusDialog2.hide();"
                            update=":nuevoTramiteSolForm:tabViewDocumentacion">
                            <f:setPropertyActionListener value="#{documentoAdicional}"
                                                         target="#{managedBeanParam.documentoSeleccionado}" />
                        </p:commandButton>
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Tipo documento
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle" id="TipoDocumentoV"
                                      value="#{documentoAdicional.tipoDocumento.id}">
                            <f:converter converterId="converterCB" for="TipoDocumentoV" />
                        </h:outputText>
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Detalle
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{documentoAdicional.detalle}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Folios
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{documentoAdicional.cantidadFolios}" />
                    </p:column>
                    <p:column>
                        <f:facet name="header">
                            Documento soporte
                        </f:facet>

                        <p:commandLink id="downloadLink" styleClass="commandLinkStyle"
                                       value="#{documentoAdicional.documentoSoporte.archivo}"
                                       ajax="false" process="@this"
                                       rendered="#{documentoAdicional.documentoSoporte.archivoADescargar}">

                            <f:setPropertyActionListener value="#{documentoAdicional}"
                                                         target="#{managedBeanParam.documentoSeleccionado}" />
                            <p:fileDownload value="#{managedBeanParam.fileTempDownload}" />
                        </p:commandLink>

                        <p:commandLink
                            value="#{documentoAdicional.documentoSoporte.archivo}"
                            update=":docViewer:docViewerCCForm" styleClass="commandLinkStyle"
                            oncomplete="docViewerWV.show();statusDialog2.hide()"
                            onstart="statusDialog2.show()"
                            action="#{gestionarSolicitudes.cargarDocumentoTemporalPrev}"
                            rendered="#{!documentoRequerido.documentoSoporte.archivoADescargar}">
                            <f:setPropertyActionListener
                                target="#{previsualizacionDocumento.documentoTemporal}"
                                value="#{documentoAdicional.documentoSoporte}" />
                            <f:setPropertyActionListener
                                target="#{gestionarSolicitudes.documentoSeleccionado}"
                                value="#{documentoAdicional}" />
                        </p:commandLink>

                    </p:column>

                    <p:column>
                        <f:facet name="header">
                            Digitalizable
                        </f:facet>
                        <h:outputText styleClass="outputTextStyle"
                                      value="#{documentoAdicional.digital}" />
                    </p:column>

                </p:dataTable>
            </h:panelGrid>
        </p:tab>
    </p:tabView>

    <p:spacer height="10" width="13" />
    <p:outputPanel id="btnsPanelNuevoTramite" layout="block"
                   style="text-align: left">

        <p:spacer height="10" width="13" />
        <p:commandButton action="#{managedBeanParam.consolidarTramite}"
                         value="Radicar" icon="ui-icon ui-icon-disk" label="Radicar"
                         title="Radicar trámite" id="consolidarTramiteBtn"
                         widgetVar="radicarButton"
                         onclick="radicarButton.disable()"
                         rendered="#{managedBeanParam.banderaTramitePAlmacenado}"
                         onstart="statusDialog2.show();"
                         oncomplete="radicarButton.enable();statusDialog2.hide();handleCompleteSIC(xhr, status, args, nuevoTramiteWV, false);setFocus();"
                         update="msgsTramite, :detalleSolicitudGeneralForm">
        </p:commandButton>

        <p:spacer height="13" width="13" />
    </p:outputPanel>
    <p:spacer height="30" width="13" />

</h:form>
